%define name	hotwayd
%define version 0.8.2
%define release 2%{_my_ext}

Summary:	Allows POP3 & SMTP access to Hotmail, MSN & Lycos
Name:		%{name}
Version:	%{version}
Release:	%{release}
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}
License:	GPL
Group:		Servers
URL:		http://hotwayd.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libsasl2-devel libxml2
Requires:	libxml2 libsasl2-devel cyrus-sasl libsasl2-plug-plain


%description
Hotwayd is a POP3/SMTP-HTTPMail gateway daemon. HTTPMail is an
undocumented WebDAV-based protocol used by mail servers such as
Hotmail, MSN, Lycos and Spray.se. This gateway allows *any* POP3/SMTP
compatible email client to handle (download, delete, etc) messages and
send messages on hotmail.com, msn.com and lycos mailboxes. By using
this defined back door protocol it means that hotwayd is not dependent
on the web interface.

%prep
rm -rf $RPM_BUILD_ROOT 
%setup -a 0

%build
%configure
make  %{?_makeopts:%{_makeopts}}

%install
%makeinstall
install -D -m 644 hotwayd.xinetd %buildroot%{_sysconfdir}/xinetd.d/%name
install -D -m 644 hotsmtpd/hotsmtpd.xinetd %buildroot%{_sysconfdir}/xinetd.d/hotsmtpd

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}

%post
service xinetd condrestart

%postun
service xinetd condrestart

%files
%defattr(0644,root,root,-)
%config(noreplace) %{_sysconfdir}/xinetd.d/%name
%config(noreplace) %{_sysconfdir}/xinetd.d/hotsmtpd
%doc README NEWS COPYING AUTHORS ChangeLog
%{_mandir}/man1/hotwayd.1*
%{_mandir}/man1/hotsmtpd.1*
%defattr(0755,root,root,-)
%{_sbindir}/hotwayd
%{_sbindir}/hotsmtpd

%changelog
* Mon May 2 2005 Scott Grayban <sgrayban@borgnet.us> 0.8.2-2bgn
- made 10.1 rpm which also requires libsasl2-plug-plain to install
* Thu May 27 2004 Christophe PEREZ <christophe.perez@novazur.com>
- made 0.8.2 version for Mandrake 10.0
* Thu May 27 2004 Christophe PEREZ <christophe.perez@novazur.com>
- changed dependence cyrus-sasl-devel to libsasl2 for Mandrake 
* Mon Feb 09 2004 David Smith <courierdave@users.sourceforge.net>
- Added RPM support for hotsmtpd
* Wed Feb 04 2004 David Smith <courierdave@users.sourceforge.net>
- Added cyrus-sasl and cyrus-sasl-devel requirement for hotsmtpd
* Sat Jan 17 2004 David Smith <courierdave@users.sourceforge.net>
- Update to 0.7.4
* Mon Jan 12 2004 David Smith <courierdave@users.sourceforge.net>
- Update to 0.7.3
* Fri Jan 09 2004 David Smith <courierdave@users.sourceforge.net>
- Update to 0.7.2
- Slight description change
* Sat Nov 01 2003 David Smith <courierdave@users.sourceforge.net>
- Update to 0.7.1
* Thu Oct 16 2003 David Smith <courierdave@users.sourceforge.net>
- Update to 0.7
* Tue Apr 29 2003 David Smith <courierdavid@yahoo.com.au> 
- Initial build.
